summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2022-01-29 08:30:59 +0100
committerMichał Górny <mgorny@gentoo.org>2022-01-29 08:53:29 +0100
commit2a0bda7dbbf4a80a17c45a62a003a7eee2aa865d (patch)
tree92adbd7f244f460366df8bde18aac702a370ccca
parentdev-python/gevent: Stabilize 21.12.0 ppc64, #832289 (diff)
downloadgentoo-2a0bda7dbbf4a80a17c45a62a003a7eee2aa865d.tar.gz
gentoo-2a0bda7dbbf4a80a17c45a62a003a7eee2aa865d.tar.bz2
gentoo-2a0bda7dbbf4a80a17c45a62a003a7eee2aa865d.zip
distutils-r1.eclass: Fix installing scripts w/ PEP517 & single-impl
Closes: https://bugs.gentoo.org/832267 Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--eclass/distutils-r1.eclass3
1 files changed, 3 insertions, 0 deletions
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index e25263ee7e1d..a5500df86937 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -1146,6 +1146,9 @@ distutils-r1_python_install() {
# remove the altered bindir, executables from the package
# are already in scriptdir
rm -r "${root}${scriptdir}" || die
+ if [[ ${DISTUTILS_SINGLE_IMPL} ]]; then
+ mv "${root}$(python_get_scriptdir)" "${root}${scriptdir}" || die
+ fi
else
local root=${D%/}/_${EPYTHON}
[[ ${DISTUTILS_SINGLE_IMPL} ]] && root=${D%/}